﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class EjemplosAudio : MonoBehaviour
{
    public AudioClip miAudioClip;
    public AudioSource miAudioSource;
    public AudioClip otroAudioClip;
    public AudioSource otroAudioSource;
        
    void Start()
    {
        Debug.Log("El sonido dura " + miAudioClip.length + " segundos.");
    }

    void Update()
    {
        if (Input.GetKeyDown(KeyCode.C))
        {
            miAudioSource.Play();
        }
        if(Input.GetKeyDown(KeyCode.S))
        {
            miAudioSource.PlayOneShot(otroAudioClip);
        }

        if(Input.GetKeyDown(KeyCode.Space))
        {
            if(otroAudioSource.isPlaying)
            {
                //otroAudioSource.Pause();
                otroAudioSource.Stop();
            }
            else
            {
                //otroAudioSource.UnPause();
                otroAudioSource.Play();
            }
        }
    }
}
