﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[RequireComponent(typeof(AudioSource))]
public class SonidoGolpe : MonoBehaviour
{
    private AudioSource miAudioSource;
    void Start()
    {
        miAudioSource = GetComponent<AudioSource>();
    }
    private void OnCollisionEnter(Collision collision)
    {
        float velocidad = collision.relativeVelocity.magnitude;

        float volumen = velocidad / 5f;
        miAudioSource.volume = volumen;

        float pitch = Mathf.Clamp(velocidad, 0.5f, 2f);
        miAudioSource.pitch = pitch;

        miAudioSource.Play();
    }
}
